Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
mfa_login
Login with MFA
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/mfa_login \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ident_type": "phone_number",
  "ident": "<string>",
  "audience": "<string>",
  "type": "customer",
  "secret": "<string>"
}
'
{
  "links": [
    {
      "rel": "mfa_challenge",
      "href": "https://test.dintero.com/v1/accounts/T11223351/auth/mfa/challenge"
    },
    {
      "rel": "mfa_oob",
      "href": "https://test.dintero.com/v1/accounts/T11223351/auth/token"
    }
  ],
  "mfa_token": "<string>",
  "challenge_type": "oob",
  "oob_channel": "sms"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

credentials

ident_type
enum<string>
required
Available options:
phone_number,
email
ident
string
required

Email or phone_number, depending on the ident_type.

audience
string
required

The unique identifier of the target API you want to access. The audience must be a grant associated with the client used when calling this resource.

type
enum<string>
required

user type to login, required as users with different type can share email

Available options:
customer,
company
secret
string
required

The customers pin or password.

Response

MFA login challenge

Example:
[
{
"rel": "mfa_challenge",
"href": "https://test.dintero.com/v1/accounts/T11223351/auth/mfa/challenge"
},
{
"rel": "mfa_oob",
"href": "https://test.dintero.com/v1/accounts/T11223351/auth/token"
}
]
mfa_token
string
required

MFA challenge token

challenge_type
enum<string>
required

MFA challenge types

  • oob (out of band) means that the user will get an out of band message containing a binding_code that will have to be submitted along with the mfa_token when answering the mfa challenge
Available options:
oob
oob_channel
enum<string>

The channel to use for OOB

Available options:
sms,
email